import { csv, format } from 'd3';

const csvUrl="https://raw.githubusercontent.com/CSSEGISandData/COVID-19/02be34e5ec0409835f79f61a547b2b42f2c6dfd7/csse_covid_19_data/csse_covid_19_time_series/time_series_19-covid-Deaths.csv"; 	

const sum = (accumulator, currentValue) => accumulator + currentValue;

const commaFormatter = format(',');

d3.csv(csvUrl).then(data => {
	console.log(data.columns);
  const latestDateColumn = data.columns[data.columns.length - 1];
  console.log(data.map( d => +d[latestDateColumn]).reduce(sum, 0));
  const deathTotal = data.map( d => +d[latestDateColumn]).reduce(sum, 0);
  const message = commaFormatter(deathTotal) + ' deaths total' + '\nas of ' + latestDateColumn;
  document.getElementById('message-container').textContent = message;

})